UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMObjectRecycler Class Reference

Basic implementation of an object recycler that implements all supported LBM object types. The size limits for the object pools for each object type can be tuned and should be set immediately after instantiating the class and before using any instance of the class. This implementation is synchronized on a per object type basis(doneWithMessage/retrieveMessage, doneWithReceiverStatistics/retrieveReceiverStatistics, etc) via a thread local pool of objects and a synchronized shared pool of objects. More...

Inheritance diagram for com.latencybusters.lbm.LBMObjectRecycler:

## Public Member Functions
void | setLocalMsgPoolSize (int size)
| Sets the size of the thread local pool of LBMMessages for all LBMObjectRecyclers (defaults to 1000) More...
void | setSharedMsgPoolSize (int size)
| Sets the size of the shared pool of LBMMessages for all LBMObjectRecyclers (defaults to 2000) More...
override void | doneWithMessage (LBMMessage obj)
| Call when finished with a LBMMessage object. Call dispose on the message object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMMessage | retrieveMessage (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolMessageCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllMessagesToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalRcvStatsPoolSize (int size)
| Sets the size of the thread local pool of LBMReceiverStatistics for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedRcvStatsPoolSize (int size)
| Sets the size of the shared pool of LBMReceiverStatistics for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithReceiverStatistics (LBMReceiverStatistics obj)
| Call when finished with a LBMReceiverStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMReceiverStatistics | retrieveReceiverStatistics (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolReceiverStatisticsCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllReceiverStatisticsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalSrcStatsPoolSize (int size)
| Sets the size of the thread local pool of LBMSourceStatistics for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedSrcStatsPoolSize (int size)
| Sets the size of the shared pool of LBMSourceStatistics for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithSourceStatistics (LBMSourceStatistics obj)
| Call when finished with a LBMSourceStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMSourceStatistics | retrieveSourceStatistics (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolSourceStatisticsCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllSourceStatisticsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalCtxStatsPoolSize (int size)
| Sets the size of the thread local pool of LBMContextStatistics for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedCtxStatsPoolSize (int size)
| Sets the size of the shared pool of LBMContextStatistics for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithContextStatistics (LBMContextStatistics obj)
| Call when finished with a LBMContextStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMContextStatistics | retrieveContextStatistics (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolContextStatisticsCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllContextStatisticsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalIMRcvStatsPoolSize (int size)
| Sets the size of the thread local pool of LBMImmediateMessageReceiverStatistics for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedIMRcvStatsPoolSize (int size)
| Sets the size of the shared pool of LBMImmediateMessageReceiverStatistics for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithImmediateMessageReceiverStatistics (LBMImmediateMessageReceiverStatistics obj)
| Call when finished with a LBMImmediateMessageReceiverStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMImmediateMessageReceiverStatistics | retrieveImmediateMessageReceiverStatistics (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolImmediateMessageReceiverStatisticsCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllImmediateMessageReceiverStatisticsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalIMSrcStatsPoolSize (int size)
| Sets the size of the thread local pool of LBMImmediateMessageSourceStatistics for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedIMSrcStatsPoolSize (int size)
| Sets the size of the shared pool of LBMImmediateMessageSourceStatistics for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithImmediateMessageSourceStatistics (LBMImmediateMessageSourceStatistics obj)
| Call when finished with a LBMImmediateMessageSourceStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMImmediateMessageSourceStatistics | retrieveImmediateMessageSourceStatistics (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolImmediateMessageSourceStatisticsCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllImmediateMessageSourceStatisticsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalEvqStatsPoolSize (int size)
| Sets the size of the thread local pool of LBMEventQueueStatistics for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedEvqStatsPoolSize (int size)
| Sets the size of the shared pool of LBMEventQueueStatistics for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithEventQueueStatistics (LBMEventQueueStatistics obj)
| Call when finished with a LBMEventQueueStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMEventQueueStatistics | retrieveEventQueueStatistics (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolEventQueueStatisticsCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllEventQueueStatisticsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalSrcEvsPoolSize (int size)
| Sets the size of the thread local pool of LBMSourceEvents for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedSrcEvsPoolSize (int size)
| Sets the size of the shared pool of LBMSourceEvents for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithSourceEvent (LBMSourceEvent obj)
| Call when finished with a LBMSourceEvent object. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMSourceEvent | retrieveSourceEvent (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolSourceEventCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllSourceEventsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
void | setLocalCtxSrcEvsPoolSize (int size)
| Sets the size of the thread local pool of LBMContextSourceEvents for all LBMObjectRecyclers (defaults to 10) More...
void | setSharedCtxSrcEvsPoolSize (int size)
| Sets the size of the shared pool of LBMContextSourceEvents for all LBMObjectRecyclers (defaults to 20) More...
override void | doneWithContextSourceEvent (LBMContextSourceEvent obj)
| Call when finished with a LBMContextSourceEvent object. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected. More...
override LBMContextSourceEvent | retrieveContextSourceEvent (Object cbObj)
| LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty. More...
int | getLocalPoolContextSourceEventCount ()
| Gets the current number of objects in the local pool. More...
int | returnAllContextSourceEventsToSharedPool ()
| Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned). More...
override void | close ()
| A method to clean up all objects referenced by the recycler when the application is closing (which will dispose all of the stats objects in the recycler).

## Detailed Description

Basic implementation of an object recycler that implements all supported LBM object types. The size limits for the object pools for each object type can be tuned and should be set immediately after instantiating the class and before using any instance of the class. This implementation is synchronized on a per object type basis(doneWithMessage/retrieveMessage, doneWithReceiverStatistics/retrieveReceiverStatistics, etc) via a thread local pool of objects and a synchronized shared pool of objects.

## Member Function Documentation

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithContextSourceEvent | ( | LBMContextSourceEvent | obj | ) |
| virtual

Call when finished with a LBMContextSourceEvent object. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The context source event object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithContextStatistics | ( | LBMContextStatistics | obj | ) |
| virtual

Call when finished with a LBMContextStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The stats object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithEventQueueStatistics | ( | LBMEventQueueStatistics | obj | ) |
| virtual

Call when finished with a LBMEventQueueStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The stats object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithImmediateMessageReceiverStatistics | ( | LBMImmediateMessageReceiverStatistics | obj | ) |
| virtual

Call when finished with a LBMImmediateMessageReceiverStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The stats object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithImmediateMessageSourceStatistics | ( | LBMImmediateMessageSourceStatistics | obj | ) |
| virtual

Call when finished with a LBMImmediateMessageSourceStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | the stats object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithMessage | ( | LBMMessage | obj | ) |
| virtual

Call when finished with a LBMMessage object. Call dispose on the message object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The message object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithReceiverStatistics | ( | LBMReceiverStatistics | obj | ) |
| virtual

Call when finished with a LBMReceiverStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The stats object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithSourceEvent | ( | LBMSourceEvent | obj | ) |
| virtual

Call when finished with a LBMSourceEvent object. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The source event object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override void com.latencybusters.lbm.LBMObjectRecycler.doneWithSourceStatistics | ( | LBMSourceStatistics | obj | ) |
| virtual

Call when finished with a LBMSourceStatistics object. Do not call dispose on the stats object before passing to this method. If the local and shared object limit is reached, it will simply ignore the passed object which will result in it being garbage collected.

Parameters

  obj | The stats object

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolContextSourceEventCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolContextStatisticsCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolEventQueueStatisticsCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolImmediateMessageReceiverStatisticsCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolImmediateMessageSourceStatisticsCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolMessageCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolReceiverStatisticsCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolSourceEventCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

int com.latencybusters.lbm.LBMObjectRecycler.getLocalPoolSourceStatisticsCount | ( |  | ) |

Gets the current number of objects in the local pool.

Returns
  The number of objects

override LBMContextSourceEvent com.latencybusters.lbm.LBMObjectRecycler.retrieveContextSourceEvent | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid context source event object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMContextStatistics com.latencybusters.lbm.LBMObjectRecycler.retrieveContextStatistics | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid stats object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMEventQueueStatistics com.latencybusters.lbm.LBMObjectRecycler.retrieveEventQueueStatistics | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid stats object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMImmediateMessageReceiverStatistics com.latencybusters.lbm.LBMObjectRecycler.retrieveImmediateMessageReceiverStatistics | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid stats object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMImmediateMessageSourceStatistics com.latencybusters.lbm.LBMObjectRecycler.retrieveImmediateMessageSourceStatistics | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid stats object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMMessage com.latencybusters.lbm.LBMObjectRecycler.retrieveMessage | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid stats object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMReceiverStatistics com.latencybusters.lbm.LBMObjectRecycler.retrieveReceiverStatistics | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid stats object will be returned>

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMSourceEvent com.latencybusters.lbm.LBMObjectRecycler.retrieveSourceEvent | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid source event object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

override LBMSourceStatistics com.latencybusters.lbm.LBMObjectRecycler.retrieveSourceStatistics | ( | Object | cbObj | ) |
| virtual

LBM will call this method to attempt to retrieve an object that it can reuse. It will transfer a batch of objects from the shared pool when the local pool gets low or will create the objects if the shared pool is empty.

Parameters

  cbObj | The callback object token that was stored when setting LBMObjectRecycler in the attributes

Returns
  A valid stats object will be returned

Reimplemented from com.latencybusters.lbm.LBMObjectRecyclerBase.

int com.latencybusters.lbm.LBMObjectRecycler.returnAllContextSourceEventsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllContextStatisticsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllEventQueueStatisticsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllImmediateMessageReceiverStatisticsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllImmediateMessageSourceStatisticsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllMessagesToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllReceiverStatisticsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllSourceEventsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

int com.latencybusters.lbm.LBMObjectRecycler.returnAllSourceStatisticsToSharedPool | ( |  | ) |

Returns all of the objects in the local pool back to the shared pool. If the shared pool is full, the objects are still removed from the local pool but they are discarded and will be garbage collected (and are not counted in the return value as objects that were actually returned).

Returns
  The number of objects actually returned

void com.latencybusters.lbm.LBMObjectRecycler.setLocalCtxSrcEvsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMContextSourceEvents for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalCtxStatsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMContextStatistics for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalEvqStatsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMEventQueueStatistics for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalIMRcvStatsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMImmediateMessageReceiverStatistics for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalIMSrcStatsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMImmediateMessageSourceStatistics for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalMsgPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMMessages for all LBMObjectRecyclers (defaults to 1000)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalRcvStatsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMReceiverStatistics for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalSrcEvsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMSourceEvents for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setLocalSrcStatsPoolSize | ( | int | size | ) |

Sets the size of the thread local pool of LBMSourceStatistics for all LBMObjectRecyclers (defaults to 10)

Parameters

  size | the size of the local pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedCtxSrcEvsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMContextSourceEvents for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedCtxStatsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMContextStatistics for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedEvqStatsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMEventQueueStatistics for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedIMRcvStatsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMImmediateMessageReceiverStatistics for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedIMSrcStatsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMImmediateMessageSourceStatistics for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedMsgPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMMessages for all LBMObjectRecyclers (defaults to 2000)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedRcvStatsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMReceiverStatistics for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedSrcEvsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMSourceEvents for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

void com.latencybusters.lbm.LBMObjectRecycler.setSharedSrcStatsPoolSize | ( | int | size | ) |

Sets the size of the shared pool of LBMSourceStatistics for all LBMObjectRecyclers (defaults to 20)

Parameters

  size | the size of the shared pool

The documentation for this class was generated from the following file:

- LBMObjectRecycler.cs